# $Revision: 1.74 $, $Date: 2011/01/17 16:51:18 $
Summary:	Library for handling different JPEG files
Summary(de.UTF-8):	Library zum Verarbeiten verschiedener JPEG-Dateien
Summary(es.UTF-8):	Biblioteca para manipulación de diferentes archivos JPEGs
Summary(fr.UTF-8):	Bibliothèque pour gérer différents fichiers JPEG
Summary(pl.UTF-8):	Biblioteka do manipulacji plikami w formacie JPEG
Summary(pt_BR.UTF-8):	Biblioteca para manipulação de diferentes arquivos JPEGs
Summary(ru.UTF-8):	Библиотека для обработки различных JPEG-файлов
Summary(tr.UTF-8):	JPEG resimlerini işleme kitaplığı
Summary(uk.UTF-8):	Бібліотека для обробки різноманітних JPEG-файлів
Name:		libjpeg
Version:	8c
Release:	1
License:	distributable
Group:		Libraries
Source0:	http://www.ijg.org/files/jpegsrc.v%{version}.tar.gz
# Source0-md5:	a2c10c04f396a9ce72894beb18b4e1f9
Source1:	http://www.mif.pg.gda.pl/homepages/ankry/man-PLD/%{name}-non-english-man-pages.tar.bz2
# Source1-md5:	d6342c015a489de275ada637a77dc2b0
Patch0:		%{name}-maxmem-sysconf.patch
URL:		http://www.ijg.org/
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The libjpeg package contains a library of functions for manipulating
JPEG images.

%description -l de.UTF-8
Dieses Paket ist eine Library mit Funktionen zur Manipulation von
JPEG-Bildern.

%description -l es.UTF-8
Este paquete contiene una biblioteca de funciones que manipulan
imágenes JPEG.

%description -l fr.UTF-8
Bibliothèque de fonctions qui manipulent des images JPEG.

%description -l pl.UTF-8
Ten pakiet zawiera bibliotekę funkcji do manipulacji plikami JPEG.

%description -l pt_BR.UTF-8
Este pacote contém uma biblioteca de funções que manipulam imagens
JPEG.

%description -l ru.UTF-8
Библиотека функций для обработки JPEG-изображений и простые клиенты
для такой обработки.

%description -l tr.UTF-8
Bu paket, JPEG şekillerini işlemek için kitaplıklar ve basit
istemciler içerir.

%description -l uk.UTF-8
Бібліотека функцій для обробки JPEG-зображень та прості клієнти для
такої обробки.

%package devel
Summary:	Headers for developing programs using libjpeg
Summary(de.UTF-8):	Header zum Entwickeln von Programmen mit libjpeg
Summary(es.UTF-8):	Archivos de inclusión para desarrollar programas usando libjpeg
Summary(pl.UTF-8):	Pliki nagłówkowe libjpeg
Summary(pt_BR.UTF-8):	Arquivos de inclusão para desenvolver programas usando libjpeg
Summary(ru.UTF-8):	Хедеры для разработки программ, использующих libjpeg
Summary(tr.UTF-8):	libjpeg için geliştirme kitaplıkları ve başlık dosyaları
Summary(uk.UTF-8):	Хедери для розробки програм, що використовують libjpeg
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Conflicts:	libjpeg6-devel

%description devel
The libjpeg-devel package includes the header files necessary for
developing programs which will manipulate JPEG files using the libjpeg
library.

%description devel -l de.UTF-8
Dieses Paket bietet alles, was Sie brauchen, um Programme zur
Manipulation von JPEG-Grafiken, einschließlich Dokumentation, zu
entwickeln.

%description devel -l es.UTF-8
Este paquete es todo lo que necesitas para desarrollar programas que
manipulen imágenes JPEG, incluso documentación.

%description devel -l fr.UTF-8
Ce package est tout ce dont vous avez besoin pour développer des
programmes manipulant des images JPEG, et comprend la documentation.

%description devel -l pl.UTF-8
Ten pakiet zawiera pliki potrzebne do programowania z wykorzystaniem
biblioteki libjpeg. Zawiera także dokumentację.

%description devel -l pt_BR.UTF-8
Este pacote é tudo que você precisa para desenvolver programas que
manipulam imagens JPEG, incluindo documentação.

%description devel -l ru.UTF-8
В этом пакете содержится все необходимое для разработки программ,
которые работают с JPEG-изображениями включая документацию.

%description devel -l tr.UTF-8
Bu paket, JPEG resimlerini işleyen programlar geliştirmeniz için
gereken başlık dosyalarını, kitaplıkları ve ilgili yardım belgelerini
içerir.

%description devel -l uk.UTF-8
Цей пакет містить все необхідне для розробки програм, котрі працюють з
JPEG-зображеннями, включаючи документацію.

%package static
Summary:	Static library for developing programs using libjpeg
Summary(pl.UTF-8):	Biblioteka statyczna libjpeg
Summary(pt_BR.UTF-8):	Bibliotecas estáticas para desenvolvimento com libjpeg
Summary(ru.UTF-8):	Статическая библиотека для программирования с libjpeg
Summary(uk.UTF-8):	Статична бібліотека для програмування з libjpeg
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Conflicts:	libjpeg6-static

%description static
Static library for developing programs using libjpeg.

%description static -l pl.UTF-8
Statyczna biblioteka libjpeg.

%description static -l pt_BR.UTF-8
Bibliotecas estáticas para desenvolvimento com libjpeg.

%description static -l ru.UTF-8
Этот пакет содержит статические библиотеки, необходимые для написания
программ, использующих libjpeg.

%description static -l uk.UTF-8
Цей пакет містить статичні бібліотеки, необхідні для написання
програм, що використовують libjpeg.

%package progs
Summary:	Simple clients for manipulating JPEG images
Summary(de.UTF-8):	Einfachen Clients zur Manipulation von JPEG
Summary(fr.UTF-8):	Clients simples pour manipuler des images JPEG
Summary(pl.UTF-8):	Kilka prostych programów do manipulowania na plikach JPEG
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Conflicts:	libjpeg6-progs

%description progs
Simple clients for manipulating JPEG images. Libjpeg client programs
include cjpeg, djpeg, jpegtran, rdjpgcom and wrjpgcom. Djpeg
decompresses a JPEG file into a regular image file. Jpegtran can
perform various useful transformations on JPEG files. Rdjpgcom
displays any text comments included in a JPEG file. Wrjpgcom inserts
text comments into a JPEG file.

%description progs -l de.UTF-8
Einfachen Clients zur Manipulation von JPEG.

%description progs -l fr.UTF-8
Clients simples pour manipuler des images JPEG.

%description progs -l pl.UTF-8
Kilka prostych programów do obróbki plików JPEG, w tym: cjpeg, djpeg,
jpegtran, rdjpgcom i wrjpgcom. djpeg dekompresuje plik JPEG do
zwykłego pliku obrazu, jpegtran potrafi wykonywać różne
przekształcenia na plikach JPEG. rdjpgcom wyświetla komentarze
tekstowe dołączone do pliku JPEG, a wrjpgcom wstawia takie komentarze.

%prep
%setup -q -n jpeg-%{version}
%patch0 -p1

%build
%configure \
	--disable-silent-rules \
	--enable-shared \
	--enable-static

%{__make}

LD_PRELOAD=$PWD/.libs/%{name}.so \
%{__make} test

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_libdir},%{_includedir},%{_bindir},%{_mandir}/man1}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install jversion.h $RPM_BUILD_ROOT%{_includedir}

# remove HAVE_STD{DEF,LIB}_H
# (not necessary but may generate warnings confusing autoconf)
sed -i -e 's#.*HAVE_STD..._H.*##g' $RPM_BUILD_ROOT%{_includedir}/jconfig.h

bzip2 -dc %{SOURCE1} | tar xf - -C $RPM_BUILD_ROOT%{_mandir}

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README change.log
%attr(755,root,root) %{_libdir}/libjpeg.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libjpeg.so.8

%files devel
%defattr(644,root,root,755)
%doc libjpeg.txt structure.txt
%attr(755,root,root) %{_libdir}/libjpeg.so
%{_libdir}/libjpeg.la
%{_includedir}/jconfig.h
%{_includedir}/jerror.h
%{_includedir}/jmorecfg.h
%{_includedir}/jpeglib.h
%{_includedir}/jversion.h

%files static
%defattr(644,root,root,755)
%{_libdir}/libjpeg.a

%files progs
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/cjpeg
%attr(755,root,root) %{_bindir}/djpeg
%attr(755,root,root) %{_bindir}/jpegtran
%attr(755,root,root) %{_bindir}/rdjpgcom
%attr(755,root,root) %{_bindir}/wrjpgcom
%{_mandir}/man1/cjpeg.1*
%{_mandir}/man1/djpeg.1*
%{_mandir}/man1/jpegtran.1*
%{_mandir}/man1/rdjpgcom.1*
%{_mandir}/man1/wrjpgcom.1*
%lang(fi) %{_mandir}/fi/man1/cjpeg.1*
%lang(pl) %{_mandir}/pl/man1/cjpeg.1*
%lang(pl) %{_mandir}/pl/man1/djpeg.1*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libjpeg.spec,v $
Revision 1.74  2011/01/17 16:51:18  qboosh
- updated to 8c

Revision 1.73  2010/05/23 17:44:05  arekm
- up to 8b

Revision 1.72  2010/03/08 09:10:38  arekm
up to 8a

Revision 1.71  2010/01/28 09:07:44  amateja
- updated to 8

Revision 1.70  2009/08/18 13:07:04  arekm
- rel 2; automatic adjusting of maxmem, from gentoo

Revision 1.69  2009/07/10 12:27:11  arekm
- conflicts with libjpeg6

Revision 1.68  2009/07/10 12:14:57  arekm
- --disable-silent-rules  so we know what's happening

Revision 1.67  2009/07/10 12:08:42  arekm
- up to version 7

Revision 1.66  2008/06/29 14:26:59  areq
- don't cp -f %{_datadir}/libtool/config.sub .

Revision 1.65  2008-03-18 12:09:46  hawk
- release 28

Revision 1.64  2008-01-27 21:38:04  qboosh
- libjpeg with ljpeg patch (lossless JPEG support) available as libljpeg

Revision 1.63  2008-01-27 20:32:10  qboosh
- croppatch "patch" converted to diff; still evil, but not conflicting now

Revision 1.62  2008-01-27 20:23:17  qboosh
- added arith patch and bcond (arithmetic encoding, off by default)

Revision 1.61  2008-01-27 18:04:02  qboosh
- changed croppatch applying so it is clear what is being done
- documented why it is evil (just because one error code put _in the middle_
  in library header)

Revision 1.60  2008-01-27 15:43:28  qboosh
- updated inaccurate descs
- more verbose files, ghost soname symlink

Revision 1.59  2007-04-03 14:00:44  jajcus
- README file added to %doc (important: it provides copyright information)

Revision 1.58  2007/02/13 06:46:51  glen
- tabs in preamble

Revision 1.57  2007/02/12 00:49:02  baggins
- converted to UTF-8

Revision 1.56  2006/11/25 13:26:45  arekm
- rel 27

Revision 1.55  2006/10/23 17:37:36  qboosh
- added note about ljpeg ABI breakage
- strict internal deps

Revision 1.54  2006/10/23 14:17:53  glen
- add libtool patch

Revision 1.53  2005/05/18 12:49:37  wrobell
- crop is not a patch, bconding it because it is hard to verify what it
  does

Revision 1.52  2005/05/12 22:03:11  petec
- added lossless crop patch
- changes from Pawel Czapski <pawel(at)czapski.info>

Revision 1.51  2005/04/16 23:21:37  mmazur
- rel 25 for th

Revision 1.50  2004/09/25 11:20:53  radek
- cosmetics (spaces -> tabs)

Revision 1.49  2004/09/01 11:49:23  snurf
- typos / formatting / etc.

Revision 1.48  2004/01/02 17:41:43  jajcus
- Release: 24 (STBR after AMD64 fixes)

Revision 1.47  2003/12/21 19:06:00  jajcus
- pass libdir to make in %build so libjpeg.la contains valid path

Revision 1.46  2003/12/19 18:21:17  jajcus
- install libraries into the right libdir

Revision 1.45  2003/08/25 22:37:50  mmazur
- rel 23 for ac

Revision 1.44  2003/06/02 15:18:31  ankry
- added/changed non-english-man-pages URL

Revision 1.43  2003/05/25 11:00:53  malekith
- massive attack, adding Source-md5

Revision 1.42  2003/05/25 05:49:55  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.41  2002/11/25 14:16:54  ankry
- massive attack: no need for 755 for *.la

Revision 1.40  2002/10/06 11:09:43  kloczek
- release 22: use new %doc.

Revision 1.39  2002/02/25 00:45:53  kloczek
- release 20: merge translations from Conectiva and KSI.

Revision 1.38  2002/02/23 03:26:02  kloczek
- adapterized.

Revision 1.37  2002/02/22 23:29:12  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.36  2002/01/18 02:13:41  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.35  2001/11/22 10:01:04  qboosh
- adapterized

Revision 1.34  2001/11/20 23:39:20  ankry
- added fi, pl man pages
- release 19

Revision 1.33  2001/04/28 15:05:02  qboosh
- remove HAVE_STD{DEF,LIB}_H defines from jconfig.h
  (they might generate warnings confusing autoconf)
- fixed c++ patch
- release 18

Revision 1.32  2000/10/19 00:03:39  kloczek
- release 17,
- merged c++ patch from RH,
- use new rpm automation.

Revision 1.31  2000/06/09 07:54:43  kloczek
- more %%{__make} macros.

Revision 1.30  2000/06/09 07:23:24  kloczek
- added using %%{__make} macro.

Revision 1.29  2000/06/07 03:01:13  kloczek
- spec adapterized.

Revision 1.28  2000/04/12 11:30:51  kloczek
- release 15,
- added include patch (change "" to <> in #include to libjpeg headers files
  in jpeglib.h).

Revision 1.27  2000/04/11 09:46:04  misiek
- reversed last change - it breaks binary compatibility ;(

Revision 1.26  2000/04/07 12:16:16  misiek
- fixed make test
- added URL
- increased D_MAX_BLOCKS_IN_MCU to 64 to allow reading jpegs in ps && pdf
  files by ghostscript interpreter
- release++

Revision 1.25  2000/04/01 11:14:52  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.24  2000/03/28 16:54:40  baggins
- translated kloczkish into english

Revision 1.23  2000/01/19 04:17:09  kloczek
- release 13,
- added installing jversion.h (this file is needed by jerror.h),
- added BuildRequire: libtool and copying /usr/share/libtool/config.sub to
  jpeg source directory in %build,
- strip only shared libraries (with --strip-unneeded) in %install.

Revision 1.22  1999/09/14 10:31:16  kloczek
- release 12,
- added arm patch (from rawhide),
- added lib*.la files to deve,
- partialy rewrited %description's.

Revision 1.21  1999/07/12 23:06:06  kloczek
- added using CVS keywords in %changelog (for automating them).

